Bug 1553206 - OpenSSL apps-dgst patch gives incorrect command line advice
Summary: OpenSSL apps-dgst patch gives incorrect command line advice
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openssl
Version: 29
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-08 13:53 UTC by Mark J. Cox
Modified: 2019-03-29 19:17 UTC (History)
2 users (show)

Fixed In Version: openssl-1.1.1b-3.fc29 openssl-1.1.1b-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-21 14:41:00 UTC
Type: Bug


Attachments (Terms of Use)
give working advice patch (695 bytes, patch)
2018-03-08 13:53 UTC, Mark J. Cox
no flags Details | Diff

Description Mark J. Cox 2018-03-08 13:53:49 UTC
Created attachment 1405863 [details]
give working advice patch

Fedora specific patch tells users to use "openssl dgst -h for list" but this is not longer accurate because "openssl dgst -h" doesn't give help, and "openssl dgst -help" no longer lists the available digests.  Simplier to just refer people to "openssl help" which lists available digests.

Comment 1 Jan Kurik 2018-08-14 10:59:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Fedora Update System 2019-03-18 11:04:23 UTC
openssl-1.1.1b-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-74db223aa3

Comment 3 Fedora Update System 2019-03-18 11:04:34 UTC
openssl-1.1.1b-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-71c4c8b47e

Comment 4 Fedora Update System 2019-03-19 04:44:13 UTC
openssl-1.1.1b-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-74db223aa3

Comment 5 Fedora Update System 2019-03-21 14:41:00 UTC
openssl-1.1.1b-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2019-03-21 19:10:30 UTC
openssl-1.1.1b-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-71c4c8b47e

Comment 7 Fedora Update System 2019-03-29 19:17:35 UTC
openssl-1.1.1b-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.